#include <stdio.h>
int main(){
int n;
scanf("%i" ,&n);
int x[n],y[n],z[n],br=0;
for(int i=1;i<=n;i++)
scanf("%i" ,&x[i]);
for(int i=1;i<=n;i++)
scanf("%i" ,&y[i]);
for(int i=1;i<=n;i++)
scanf("%i" ,&z[i]);
for(int i=1;i<=n;i++){
int k=0;
while(k<=n){
if(x[i]==y[k]){
for(int j=0;j<n;j++){
if(z[j]==k)
br++;}
}
k++;}
}
printf("%i" ,br);
return 0;
}